Software Recommendations for Students

 

Device

Software Recommendations

Additional Information

Mac

macOS 10.12 Sierra

 

OS X 10.11.6 El Capitan 

 

OS X 10.7.5 Lion and below

macOS Sierra is currently incompatible with SEP and is being tested by the Division of IT to ensure full functionality with various university applications

OS X 10.8.5 through OS X 10.10.5 Yosemite should update to 10.11.6 for best performance.  Please contact the Division of IT for support.

 PC

Windows 7/Windows 8/WIndows 10

Windows Vista and below

Please verify that your device is compatible with Windows 10 prior to upgrading.  Please contact the Division of IT for support.  

 

iPhone 5/5s & above

iOS 10.1
 

iOS 7 or below

Apple has announced a vulnerability affecting iPhone 5 and later, iPad 4th generation and later, and iPod touch 6th generation and later. The vulnerability may allow a remote attacker to gain full control of the device, or access sensitive user information. The Division of Information Technology (IT) recommends that all users of the Apple devices listed above immediately update to iOS version 10.1. Apple has created a patch that will address the vulnerability.

For older devices we recommend iOS 8.4.1

iPad 3 & above

 

iOS 10.1
 

iOS 7 or below

 

Apple has announced a vulnerability affecting iPhone 5 and later, iPad 4th generation and later, and iPod touch 6th generation and later. The vulnerability may allow a remote attacker to gain full control of the device, or access sensitive user information. The Division of Information Technology (IT) recommends that all users of the Apple devices listed above immediately update to iOS version 10.1. Apple has created a patch that will address the vulnerability.

For older devices we recommend iOS 8.4.1

Android

Android 5 Lollipop

 

Android 2 Gingerbread and below

Android 6 Marshmallow is being tested by the Division of IT to ensure full functionality with various university applications.

Windows Phone

Windows 10

 

Windows 7 Phone